Bug 225 - RPM segfaults when --repackage option is given
: RPM segfaults when --repackage option is given
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm)
: unstable
: all Linux
: P4 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-12-11 21:11 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-12-11 21:11:53
RPM 4.0.3-alt1 does not support --repackage option. It segfaults on start when
this option is specified in conjunction with -e.
---
rpm -e --repackage <some-package>
---
strace rpm -e --repackage aptitude
execve(\"/bin/rpm\", [\"rpm\", \"-e\",
\"--repackage\", \"aptitude\"], [/* 32 vars */]) = 0
fcntl64(0, F_GETFD)                     = 0
fcntl64(1, F_GETFD)                     = 0
fcntl64(2, F_GETFD)                     = 0
uname({sys=\"Linux\", node=\"pc152.belcaf.minsk.by\", ...})
= 0
geteuid32()                             = 0
getuid32()                              = 0
getegid32()                             = 0
getgid32()                              = 0
brk(0)                                  = 0x81dd988
brk(0x81dd9a8)                          = 0x81dd9a8
brk(0x81de000)                          = 0x81de000
open(\"/usr/lib/rpm/rpmpopt-4.0.3\", O_RDONLY) = 3
lseek(3, 0, SEEK_END)                   = 16053
lseek(3, 0, SEEK_SET)                   = 0
read(3, \"#/*! \\\\page config_rpmpopt Defaul\"..., 16053) = 16053
close(3)                                = 0
brk(0x81df000)                          = 0x81df000
brk(0x81e0000)                          = 0x81e0000
brk(0x81e1000)                          = 0x81e1000
open(\"/etc/popt\", O_RDONLY)             = -1 ENOENT (No such file
or directory)
getuid32()                              = 0
geteuid32()                             = 0
open(\"/root/.popt\", O_RDONLY)           = -1 ENOENT (No such file
or directory)
time([1008093402])                      = 1008093402
open(\"/etc/localtime\", O_RDONLY)        = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=767, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x40000000
read(3,
\"TZif\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\0\\v\\0\\0\\0\\v\\0\"...,
4096) = 767
close(3)                                = 0
munmap(0x40000000, 4096)                = 0
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++
------- Comment #1 From 2002-04-03 20:05:39 -------
Still segfaults with
rpm-4.0.4-alt0.3?
------- Comment #2 From 2002-04-03 20:05:39 -------
Still segfaults with
rpm-4.0.4-alt0.3?
------- Comment #3 From 2002-05-30 17:35:53 -------
Fixed in
rpm-4.0.4-alt0.6
------- Comment #4 From 2002-05-30 17:35:53 -------
Fixed in
rpm-4.0.4-alt0.6